// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: essmodule/essmodule.proto

package openfmb.essmodule;

public interface ESSCapabilityRatingsOrBuilder extends
    // @@protoc_insertion_point(interface_extends:essmodule.ESSCapabilityRatings)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.SourceCapabilityRatings sourceCapabilityRatings = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the sourceCapabilityRatings field is set.
   */
  boolean hasSourceCapabilityRatings();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.SourceCapabilityRatings sourceCapabilityRatings = 1 [(.uml.option_parent_message) = true];</code>
   * @return The sourceCapabilityRatings.
   */
  openfmb.commonmodule.SourceCapabilityRatings getSourceCapabilityRatings();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.SourceCapabilityRatings sourceCapabilityRatings = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.SourceCapabilityRatingsOrBuilder getSourceCapabilityRatingsOrBuilder();

  /**
   * <pre>
   * Apparent Power Charge Maximum Rating
   * </pre>
   *
   * <code>.commonmodule.ASG VAChaRteMaxRtg = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the vAChaRteMaxRtg field is set.
   */
  boolean hasVAChaRteMaxRtg();
  /**
   * <pre>
   * Apparent Power Charge Maximum Rating
   * </pre>
   *
   * <code>.commonmodule.ASG VAChaRteMaxRtg = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The vAChaRteMaxRtg.
   */
  openfmb.commonmodule.ASG getVAChaRteMaxRtg();
  /**
   * <pre>
   * Apparent Power Charge Maximum Rating
   * </pre>
   *
   * <code>.commonmodule.ASG VAChaRteMaxRtg = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.commonmodule.ASGOrBuilder getVAChaRteMaxRtgOrBuilder();

  /**
   * <pre>
   * Apparent Power Discharge Maximum Rating
   * </pre>
   *
   * <code>.commonmodule.ASG VADisChaRteMaxRtg = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the vADisChaRteMaxRtg field is set.
   */
  boolean hasVADisChaRteMaxRtg();
  /**
   * <pre>
   * Apparent Power Discharge Maximum Rating
   * </pre>
   *
   * <code>.commonmodule.ASG VADisChaRteMaxRtg = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The vADisChaRteMaxRtg.
   */
  openfmb.commonmodule.ASG getVADisChaRteMaxRtg();
  /**
   * <pre>
   * Apparent Power Discharge Maximum Rating
   * </pre>
   *
   * <code>.commonmodule.ASG VADisChaRteMaxRtg = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.commonmodule.ASGOrBuilder getVADisChaRteMaxRtgOrBuilder();

  /**
   * <pre>
   * Active Power Charge Maximum Rating
   * </pre>
   *
   * <code>.commonmodule.ASG WChaRteMaxRtg = 4 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the wChaRteMaxRtg field is set.
   */
  boolean hasWChaRteMaxRtg();
  /**
   * <pre>
   * Active Power Charge Maximum Rating
   * </pre>
   *
   * <code>.commonmodule.ASG WChaRteMaxRtg = 4 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The wChaRteMaxRtg.
   */
  openfmb.commonmodule.ASG getWChaRteMaxRtg();
  /**
   * <pre>
   * Active Power Charge Maximum Rating
   * </pre>
   *
   * <code>.commonmodule.ASG WChaRteMaxRtg = 4 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.commonmodule.ASGOrBuilder getWChaRteMaxRtgOrBuilder();

  /**
   * <pre>
   * Active Power Discharge Maximum Rating
   * </pre>
   *
   * <code>.commonmodule.ASG WDisChaRteMaxRtg = 5 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the wDisChaRteMaxRtg field is set.
   */
  boolean hasWDisChaRteMaxRtg();
  /**
   * <pre>
   * Active Power Discharge Maximum Rating
   * </pre>
   *
   * <code>.commonmodule.ASG WDisChaRteMaxRtg = 5 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The wDisChaRteMaxRtg.
   */
  openfmb.commonmodule.ASG getWDisChaRteMaxRtg();
  /**
   * <pre>
   * Active Power Discharge Maximum Rating
   * </pre>
   *
   * <code>.commonmodule.ASG WDisChaRteMaxRtg = 5 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.commonmodule.ASGOrBuilder getWDisChaRteMaxRtgOrBuilder();

  /**
   * <pre>
   * Energy rating of the DER storage.
   * </pre>
   *
   * <code>.commonmodule.ASG WHRtg = 6 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the wHRtg field is set.
   */
  boolean hasWHRtg();
  /**
   * <pre>
   * Energy rating of the DER storage.
   * </pre>
   *
   * <code>.commonmodule.ASG WHRtg = 6 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The wHRtg.
   */
  openfmb.commonmodule.ASG getWHRtg();
  /**
   * <pre>
   * Energy rating of the DER storage.
   * </pre>
   *
   * <code>.commonmodule.ASG WHRtg = 6 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.commonmodule.ASGOrBuilder getWHRtgOrBuilder();
}
